addHook("PlayerThink", function(p)
	if p.windeffect == nil
		p.windeffect = 0*FRACUNIT
	end
end)

addHook("ThinkFrame", do
    for p in players.iterate
		if p.windeffect >= FRACUNIT
			local x,y = cos(p.drawangle),sin(p.drawangle)
			local wind = P_SpawnMobjFromMobj(p.mo,P_RandomRange(0, -500)*x,P_RandomRange(0, -500)*y,P_RandomRange(0, 150)*FRACUNIT,MT_SPDLINES)
			wind.angle = R_PointToAngle2(wind.x, wind.y, p.mo.x, p.mo.y)
			wind.state = S_SPEED_LINES
			p.windeffect = 0*FRACUNIT
		end
		if p.speed > 0*FRACUNIT
			p.windeffect = (p.windeffect + FixedDiv(p.speed, skins[p.mo.skin].runspeed))
		else
			p.windeffect = 0
		end
	end
end)